Skip to main content
POST
/
api
/
v1
/
scans
/
upload
/
{project_name}
Upload Scan Files
curl --request POST \
  --url https://api.valiqor.com/api/v1/scans/upload/{project_name} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: multipart/form-data' \
  --form 'files=<string>' \
  --form files.items='@example-file'
{
  "status": "<string>",
  "message": "<string>",
  "scan_id": "<string>",
  "project_name": "<string>",
  "files_received": [
    "<string>"
  ],
  "processing_triggered": false
}

Authorizations

Authorization
string
header
required

Valiqor API key. Pass as Bearer token: Authorization: Bearer vq-xxxxxxxxxxxxxxxxxxxx

Headers

x-scan-id
string | null

Path Parameters

project_name
string
required

Body

multipart/form-data
files
file[]
required

Response

Successful Response

Response for scan file upload

status
string
required

Upload status: 'success', 'error'

message
string
required

Human-readable status message

scan_id
string
required

Unique scan identifier

project_name
string
required

Project name

files_received
string[]

List of uploaded file names

processing_triggered
boolean
default:false

Whether background processing was started